System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Samba-3.0.10 could not start on HP-UX v. B.11.23 U

 
Occasional Advisor

Samba-3.0.10 could not start on HP-UX v. B.11.23 U

Hello all.
I have HP-UX v. B.11.23 U ia64 on rx1620 (ia64 server. I have the following packages installed in the system:
32070B C.12.00.00 OSI Trnspt and Srvcs for 9000/800
B2432EB B.13.50 Object COBOL/UX Run-Time Bundle
B2435EB B.13.50 Object COBOL/UX Run-Time Bundle
B2491BA B.11.23 MirrorDisk/UX (Server)
B3394BA B.11.23.03 HP-UX Developer's Toolkit for 11.23
B3691AA C.03.71.23 HP GlancePlus/UX for s700 11.23
B3693AA C.03.71.23 HP GlancePlus/UX for s800 11.23
B3699AA C.03.71.23 HP GlancePlus/UX Pak for s700 11.23
B3701AA C.03.71.23 HP GlancePlus/UX Pak for s800 11.23
B3899BA C.05.50 HP C/ANSI C Developer's Bundle (S700)
B3901BA C.05.50 HP C/ANSI C Developer's Bundle (S800)
B3907DB B.11.23 HP Itanium Fortran 90 Compiler and associated products (S700)
B3909DB B.11.23 HP Itanium Fortran 90 Compiler and associated products (S800)
B3911DB C.05.50 HP aC++ Compiler (S700)
B3913DB C.05.50 HP aC++ Compiler (S800)
B3929DA B.11.23 HP OnLineJFS (Server)
B4580AA B.11.09 HP-UX STK 1.9 (Software Transition Kit)
B4580AAAbi B.11.09 HP-UX STK 1.9 (Software Transition Kit)
B4580AAEng B.11.09 HP-UX STK 1.9 (Software Transition Kit)
B4965AA C.03.71.23 HP MeasureWare Server Agent for s700 11.23
B4967AA C.03.71.23 HP MeasureWare Server Agent for s800 11.23
B5140BA A.11.23.01 MC/ServiceGuard NFS Toolkit
B5403BA B.11.23 MirrorDisk/UX (Workstation)
B5725AA B.5.0.35 HP-UX Installation Utilities (Ignite-UX)
B5736DA A.04.00.01 HA Monitors
B6060BA B.11.23.01 HP-MPI for HP-UX 11.23
B6061AA B.08.04.01 HP MLIB Math Software Library for HP-UX 11.23
B6445EB E.08.01 C SoftBench 8.X License, Server
B6447EB E.08.01 C++ SoftBench 8.X License, Server
B6449EB E.08.01 C SoftBench 8.X LTU, Workstation
B6451EB E.08.01 C++ SoftBench 8.X LTU, Workstation
B6834AA B.01.03.01 HP-UX Security Patch Check Tool
B6849AA B.02.01.02 Bastille Security Hardening Tool
B6859AA B.11.23.02 WTSharedX s700 reference bundle
B6859AAA B.11.23.02 HP WTSharedX for Series 700 - English
B7609BA A.04.00.01 Event Monitoring Service
B8324BA B.02.02.00 HP Cluster Object Manager
B8339BA B.03.00.03 servicecontrol manager Server and Agent Bundle
B8465BA A.01.05.05 HP WBEM Services for HP-UX
B8843CA A.02.01.01 HP-UX Workload Manager
B9073BA B.06.00 HP-UX iCOD (Instant Capacity on Demand)
B9116AA 3.5xp VERITAS Volume Manager 3.5 for HP-UX
B9117AA 3.5xp VERITAS Cluster Volume Manager 3.5 for HP-UX
B9901AA A.03.05.06 HP IPFilter 3.5alpha5
BUNDLE11i B.11.23.0409.3 Required Patch Bundle for HP-UX 11i v2 (B.11.23), September 2004
Base-VXVM B.03.50.IA.003 Base VERITAS Volume Manager Bundle 3.5 for HP-UX
CDE-English B.11.23 English CDE Environment
Casey B.11.23 HP-UX KernelConfig (Kernel Configuration)
FDDI-00 B.11.23.00 PCI FDDI;Supptd HW=A3739B;SW=J3626AA
FibrChanl-00 B.11.23.01 PCI FibreChannel;Supptd HW=A6795A,A5158A
GigEther-00 B.11.23.01 PCI GigEther;Supptd HW=A4926A/A4929A/A6096A;SW=J1642AA
GigEther-01 B.11.23.01 PCI GigEther;Supptd HW=A6825A/A6794A/A6847A/A8685A/A9782A/A9784A/A7109A
HPUX11i-TCOE B.11.23 HP-UX Technical Computing OE Component
HPUXBaseAux B.11.23 HP-UX Base OS Auxiliary
HPUXBaseOS B.11.23 HP-UX Base OS
HyprFabrc-00 B.11.23.00 PCI HyperFabric; Supptd HW=A6386A
IEther-00 B.11.23.01 PCI IEther;Supptd HW=A6974A
Ignite-UX-10-20 B.5.0.35 HP-UX Installation Utilities for Installing 10.20 Systems
Ignite-UX-11-00 B.5.0.35 HP-UX Installation Utilities for Installing 11.00 Systems
Ignite-UX-11-11 B.5.0.35 HP-UX Installation Utilities for Installing 11.11 Systems
J2160B C.12.00.00 OSI Trnspt and Srvcs for 9000/700
J2636BA R6.11.23.001 TN3270 Emulation
J2720BA R6.11.23.001 SNAplus2 LINK
J2721BA R6.11.23.001 SNAplus2 APPN End Node
J2722BA R6.11.23.001 SNAplus2 3270/3179G
J2723BA R6.11.23.001 SNAplus2 RJE
J2724BA R6.11.23.001 SNAplus2 API
J4269AA B.03.10.01 LDAP-UX Integration
J5083AA D.02.02.16 HP-UX Host IDS D.02.02
J5849AA A.01.10 PAM-Kerberos Version 1.10
JAVAOOB 2.02.00 Java2 Out-of-box for HP-UX
Judy B.11.11.04.15 Judy Library - development and runtime libraries for handling dynamic arrays
NPar B.01.00 nPartition Provider - HP-UX
ONCplus B.11.23 ONC+ 2.3
OnlineDiag B.11.23.01.21 HPUX 11.23 Support Tools Bundle, Jun 2003
ParMgr B.11.23.01.00 Partition Manager - HP-UX
PeriphDev B.11.23.00 HP-UX Peripheral Device Tool Bundle
SBGNU E.08.01 GNU Sources for SoftBench Products
SD B.11.23 HP Software Distributor
Sec00Tools B.01.00.03 Install-Time security infrastructure.
SoftBench-GNUSRC E.08.01 GNU Sources for SoftBench Products
SwPkgBuilder A.01.00.02 Software Package Builder
T1302AA A.01.04.01 HP-UX Workload Manager Toolkits
T1456AA 1.4.2.08.02 Java2 1.4 SDK for HP-UX
T1457AA 1.4.1.03.01 Java2 1.4 RTE for HP-UX
T1471AA A.03.10.007 HP-UX Secure Shell
T1905BA A.11.15.00 MC / ServiceGuard
T1907BA A.11.15.00 ServiceGuard Extension for RAC
T1909BA B.01.10 Enterprise Cluster Master Toolkit
T2351AA B.06.02 HP-UX Pay Per Use (PPU)
TechSysConf B.11.23.01 Technical System Configuration
UPDATE-UX B.11.23 HP Update-UX
USB-00 B.11.23 Object Oriented USB Driver
hpuxwsApache B.1.0.06.01 HP-UX Apache-based Web Server
hpuxwsTomcat B.1.0.06.01 HP-UX Tomcat-based Servlet Engine
hpuxwsWebmin A.1.0.06.01 HP-UX Webmin-based Admin
hpuxwsXml A.1.0.06.01 HP-UX XML Web Server Tools
perl D.5.8.0.A Perl Programming Language
scsiU320-00 B.11.23 PCI SCSI U320; Supptd HW=CoreIO
#
# Product(s) not contained in a Bundle:
#

autoconf 2.59 autoconf
bash 2.05b.007 bash
binutils 2.15
bison 2.0 bison
db 4.3.27 db
flex 2.5.4a flex
gawk 3.1.3 gawk
gcc 3.3.2 gcc
gettext 0.14.1 gettext
glib2 2.2.2 glib2
libiconv 1.9.2 libiconv
m4 1.4.3 m4
make 3.80 make
ncurses 5.4 ncurses
popt 1.7 popt
proftpd 1.2.10 proftpd
readline 5.0 readline
slang 1.4.9 slang
tar 1.15 tar
texinfo 4.5 texinfo
unzip 5.52 unzip

I try to install samba-3.0.11-sd-11.23.depot package. Installation of the given package passes successfully. But at trying to start samba I gain the following message:

Starting SMB services
/usr/lib/hpux32/dld.so: Unsatisfied code symbol '__udivdi3' in load module '/usr/local/samba/sbin/smbd'.
/sbin/init.d/samba[14]: 18399 Killed
/usr/lib/hpux32/dld.so: Unsatisfied code symbol '__udivdi3' in load module '/usr/local/samba/sbin/nmbd'.
/sbin/init.d/samba[16]: 18400 Killed

Why such mistake and that it is necessary to make for a normal operation samba is issued to me?
16 REPLIES 16
Honored Contributor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U


dependent library package which samba requires is missing in your installation.

check for dependencies and install them

Regards,
Gopi
Never Never Never Giveup
Honored Contributor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

I believe you need KRB5CLIENT...I know I had to install on cifs 3 and up:

http://www.software.hp.com/portal/swdepot/displayProductInfo.do?productNumber=KRB5CLIENT

Rgds...Geoff
Proverbs 3:5,6 Trust in the Lord with all your heart and lean not on your own understanding; in all your ways acknowledge him, and he will make all your paths straight.
Honored Contributor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

Nope, it's libgcc.sl you need

div3, mod3, and all these unresolved dependencies come from libgcc

install gcc

http://hpux.connect.org.uk/ftp/hpux/Gnu/gcc-3.4.3/gcc-3.4.3-sd-11.23.depot.gz

Geoff, I bet that package also needs libgcc

Enjoy, Have FUN! H.Merijn
Enjoy, Have FUN! H.Merijn
Honored Contributor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

Merijn may be right (am I kidding - of course he is right) - I did install gcc manually in /opt/pa20_64/bin/gcc - which doesn't show up in a swlist.

Rgds...Geoff
Proverbs 3:5,6 Trust in the Lord with all your heart and lean not on your own understanding; in all your ways acknowledge him, and he will make all your paths straight.
Occasional Advisor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

Thank for your answers.
Kerberos client package is present at my system. Gcc package is installed too, but it's gcc versions 3.2.3. My gcc was installed from depot and I do not know as it is assembled, with support --enable-shared whether or not.
May I install gcc v. 3.4.3 of source codes?
Honored Contributor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

probably no need to do so.

find what Samba program caused the trouble, and then use chatr on it to see where it expects libgcc.sl

then make a (sym)link from your existing libgcc.sl to that location, and all samba binaries should work.

Enjoy, Have FUN !H.Merijn [ who cannot chack on HP's Samba, because he built it all himself ]
Enjoy, Have FUN! H.Merijn
Occasional Advisor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

Unfortunately in my system there is no libgcc.sl file. I have only libgcc.a
Honored Contributor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

That's because you're on HP-UX 11.23

They've been so inconsistent to now rename shared libraries (.sl) to shared objects (.so), and you will probably find lib/libgcc_s.so, which contains the needed functions.

# chatr /usr/local/samba/sbin/smbd

and look what gcc thing it expects

Enjoy, Have FUN! H.Merijn [ who'd kindly reminds you of the points system, in case you forgot ]
Enjoy, Have FUN! H.Merijn
Occasional Advisor

Re: Samba-3.0.10 could not start on HP-UX v. B.11.23 U

Results of a chatr command:
chatr /usr/local/samba/sbin/smbd
/usr/local/samba/sbin/smbd:
32-bit ELF executable
shared library dynamic path search:
LD_LIBRARY_PATH enabled first
SHLIB_PATH enabled second
embedded path enabled third /usr/local/lib/hpux32:/usr/local
/lib:/usr/lib/hpux32:/usr/local/lib:/usr/local/lib/hpux32:/usr/local/lib/gcc/ia6
4-hp-hpux11.23/3.4.3:/usr/ccs/bin:/usr/ccs/lib:/usr/local/lib/gcc/ia64-hp-hpux11
.23/3.4.3/../../..
shared library list:
libgen.so.1
libsec.so.1
libnsl.so.1
libintl.so
libiconv.so
libpopt.so
libc.so.1
shared library binding:
deferred
global hash table disabled
global hash table size 1103
shared library mapped private disabled
shared library segment merging disabled
shared vtable support disabled
explicit unloading disabled
segments:
index type address flags size
7 text 04000000 z---c- D (default)
8 data 40000000 ---m-- D (default)
executable from stack: D (default)
kernel assisted branch prediction enabled
lazy swap allocation for dynamic segments disabled
nulptr references disabled
address space model: default
caliper dynamic instrumentation disabled

All libraries, which view in shared library list are present in my system.